MatrixSetHeaderViewCommand Class Reference

`#include <MatrixCommand.h>`

Inheritance diagram for MatrixSetHeaderViewCommand:

## Public Member Functions

| MatrixSetHeaderViewCommand (Matrix *m, Matrix::HeaderViewType oldView, Matrix::HeaderViewType newView, const QString &text)
virtual void | redo ()
virtual void | undo ()

## Private Attributes

Matrix * | d_matrix
Matrix::HeaderViewType | d_new_view
Matrix::HeaderViewType | d_old_view

## Constructor & Destructor Documentation

MatrixSetHeaderViewCommand::MatrixSetHeaderViewCommand | ( | Matrix * | m,
|  | Matrix::HeaderViewType | oldView,
|  | Matrix::HeaderViewType | newView,
|  | const QString & | text
| ) |  |

## Member Function Documentation

void MatrixSetHeaderViewCommand::redo | ( |  | ) |

virtual

References d_matrix, d_new_view, and Matrix::setHeaderViewType().

void MatrixSetHeaderViewCommand::undo | ( |  | ) |

virtual

References d_matrix, d_old_view, and Matrix::setHeaderViewType().

## Member Data Documentation

Matrix* MatrixSetHeaderViewCommand::d_matrix

private

Referenced by redo(), and undo().

Matrix::HeaderViewType MatrixSetHeaderViewCommand::d_new_view

private

Referenced by redo().

Matrix::HeaderViewType MatrixSetHeaderViewCommand::d_old_view

private

Referenced by undo().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixCommand.h
- qtiplot/src/matrix/MatrixCommand.cpp